Bug 45996 - allow byte serving with HTTP response header
allow byte serving with HTTP response header
Status: RESOLVED FIXED
Product: Tomcat 5
Classification: Unclassified
Component: Catalina
5.5.27
All All
: P5 normal (vote)
: ---
Assigned To: Tomcat Developers Mailing List
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2008-10-13 04:39 UTC by Vitor Swaid
Modified: 2009-06-03 14:02 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vitor Swaid 2008-10-13 04:39:30 UTC
Hi,

On the dev-tomcat list I described in the topic "Byte Serving and PDFs with the DefaultServlet" an issue that I had with Tomcat to serve PDFs.

Analysing the answers I could find that the matter was related to the case of the file extension. Today Tomcat is case sensitive for MIME type extensions.

So the solution for me was enter two MIME specifications on the web.xml file. One is for "pdf" and another one for "PDF".

This way I would like to ask for and request for enhancement to make Tomcat be able to, due a setup on configuration file, consider or not case for MIME type extensions.

About the HTTP response header, I would like to have "useAcceptRanges" Feature as default for src.share.org.apache.catalina.servlets.DefaultServlet. It was already added on Tomcat after 6.0.18.

Regards,

Vitor
Comment 1 Mark Thomas 2008-10-13 04:58:32 UTC
I've propose a backport of the Accept-Ranges fix for 5.5.x
Comment 2 Mark Thomas 2008-11-01 17:59:06 UTC
Making MIME type matching case insensitive is an enhancement so I will change the severity of this bug once the accept range fix has been applied
Comment 3 Konstantin Kolinko 2009-01-02 08:37:58 UTC
There are two issues in OP's report.

The 'making MIME type matching case insensitive' part of this issue is addressed as bug #45995. Thus I narrowed the Summary.
Comment 4 Mark Thomas 2009-06-03 14:02:23 UTC
This has been fixed in 5.5.x and will be included in 5.5.28 onwards.